/*
 ****************************************************************************
 *
 *  (c) Copyright 2009 ZXY Systems, Inc. All rights reserved.
 *
 *  This software is proprietary to and embodies the confidential
 *  technology of ZXY Systems, Inc. Possession, use, or copying of this
 *  software and media is authorized only pursuant to a valid written
 *  license from ZXY Systems, Inc.
 *
 ****************************************************************************
 */

package com.cim.idm.wmspackage.user.management.data;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.UserColumnMark;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

/*
 ****************************************************************************
 *  PACKAGE : com.cim.idm.mespackage.user.management.data
 *  NAME    : UserInfo.java
 *  TYPE    : JAVA
 *  DESCRIPTION :
 *
 ****************************************************************************
 */

public class AuthTokenResultModel extends FieldAccessor implements DataInfo<UserInfoKey>
{
	private String			access_token;
	private String			id_token;
	private String			token_type;
	private String			expires_in;
	private String			scope;
	private String          userCode;
	private String          refresh_token;
	
	public String getAccess_token() {
		return access_token;
	}
	public String getUserCode() {
		return userCode;
	}
	public void setUserCode(String userCode) {
		this.userCode = userCode;
	}
	public String getRefresh_token() {
		return refresh_token;
	}
	public void setRefresh_token(String refresh_token) {
		this.refresh_token = refresh_token;
	}
	public void setAccess_token(String access_token) {
		this.access_token = access_token;
	}
	public String getId_token() {
		return id_token;
	}
	public void setId_token(String id_token) {
		this.id_token = id_token;
	}
	public String getToken_type() {
		return token_type;
	}
	public void setToken_type(String token_type) {
		this.token_type = token_type;
	}
	public String getExpires_in() {
		return expires_in;
	}
	public void setExpires_in(String expires_in) {
		this.expires_in = expires_in;
	}
	public String getScope() {
		return scope;
	}
	public void setScope(String scope) {
		this.scope = scope;
	}
	@Override
	public UserInfoKey getKey() {
		// TODO Auto-generated method stub
		return null;
	}
	@Override
	public void setKey(UserInfoKey arg0) {
		// TODO Auto-generated method stub
		
	}
	
}
